Package weka.gui.beans

# Interface InstanceListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AbstractDataSink`, `ClassAssigner`, `Classifier`, `Filter`, `InstanceStreamToBatchMaker`, `Saver`, `StripChart`

public interface InstanceListener extends EventListener
Interface to something that can accept instance events

Version:
  $Revision: 1.3 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptInstance(InstanceEvent e)`
Accept and process an instance event

## Method Details

### acceptInstance

void acceptInstance(InstanceEvent e)
Accept and process an instance event

Parameters:
  `e` - an `InstanceEvent` value